Update Person

PATCH
/api/v1/persons/{personId}

Path Parameters

personId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

email?string|null
name?string|null
setOnce?|null
traits?|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/persons/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "personId": "string",  "distinctId": "string",  "email": "string",  "name": "string"}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/PersonNotFoundError",  "id": "string"}
{  "_tag": "Api/PersonServiceError",  "cause": "string"}